<script type="text/javascript">
    $(document).ready(function() {
        toggle_source_fields = function() {
            var source = $(".source").val();
            if(source == 'json') {
                $(".fields.blocks").hide();
                $(".fields.json").show();
            } else {
                $(".fields.blocks").show();
                $(".fields.json").hide();
            }
        }
        $(".source").bind('change', toggle_source_fields);
        toggle_source_fields();

        $(".add-block").bind('click', function(e) {
            e.preventDefault();
            add_block_pulldown();
        });

        add_block_pulldown = function(selected_val) {
            console.log('doing this');
            var block_count = $(".block-pulldown").length;
            var global_blocks = $("#tab-global").find("div.stashed-node");
            var container = $('<p class="block-pulldown" />');
            var sel = $("<select name=\"blocks[]\" />");
            sel.append("<option value=\"\"></option>");
            $.each(global_blocks, function(idx, el) {
                var txt = $(el).find('span').text();
                var nodeid = $(this).data('node-id');
                if(selected_val == nodeid) {
                    sel.append("<option selected value=\"" +  nodeid + "\">" + txt + "</option>");
                } else {
                    sel.append("<option value=\"" +  nodeid + "\">" + txt + "</option>");
                }
            });
            container.append("<?php echo _('Block'); ?> #" + (block_count + 1) + " ");
            container.append(sel);
            $("div.block-list").append(container);
        }
<?php 
    if(isset($defaults['blocks'])) {
        if(is_array($defaults['blocks'])) {
            foreach($defaults['blocks'] as $id => $nodeid) {
                echo "add_block_pulldown($nodeid);\n";
            }
        }
    } elseif($blocks = $this->input->post('blocks')) {
        if(is_array($blocks)) {
            foreach($blocks as $id => $nodeid) {
                echo "add_block_pulldown($nodeid);\n";
            }
        }
    } else {
        echo "add_block_pulldown();\n";
    }
?>

    });
</script>

<fieldset>

    <div class="control-group">
        <label class="control-label required"><?php echo _('Name'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'name',
                'class' => 'span4',
                'value' => set_value('name', @$defaults['name']))); ?>
            <?php echo form_error('context_var') ?>
            <?php echo form_error('name') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Specify the name of the event chain you are creating.'); ?>
            </span>
        </div>
    </div>
    
    <div class="control-group">
        <label class="control-label required"><?php echo _('Chain Source'); ?></label>
        <div class="controls">
            <select name="source" class="span4 source">
                <option value="json" <?php echo reactor_option_selected('source', 'json', $defaults) ?>>JSON</option>
                <option value="global_blocks" <?php echo reactor_option_selected('source', 'global_blocks', $defaults) ?>><?php echo _('Global Blocks'); ?></option>
            </select>
            <?php echo form_error('source') ?>
            <span class="help-inline">
            <?php echo question_tooltip('Export a chain as JSON and paste JSON in field bellow or use a global block.'); ?>
            </span>
        </div>
    </div>

    <div class="fields blocks hide">
    
            <fieldset>
                <legend><?php echo _('Blocks'); ?> <small><?php echo _('from Saved tab'); ?></small></legend>

                <div class="control-group">
                    <div class="block-list"></div>
                    <a class="add-block" href="#"><i class="icon-plus-sign"></i> <?php echo _('Add'); ?></a>
                    <?php echo form_error('blocks') ?>
                </div>

            </fieldset>

    </div>
    
    <div class="fields json hide">
        <div class="control-group">
            <label class="control-label required">Event Chain JSON</label>
            <div class="controls">
                <?php echo form_textarea(array(
                    'name' => 'json',
                    'class' => 'span4',
                    'value' => set_value('json', @$defaults['json']))); ?>
                <?php echo form_error('json') ?>
            <span class="help-inline">
            	<?php echo question_tooltip('This can be generated by exporting an existing event chain in JSON format.'); ?>
            </span>
            </div>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label"><?php echo _('Identifier context var'); ?></label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'context_var',
                'class' => 'span4',
                'value' => set_value('context_var', @$defaults['context_var']))); ?>
            <?php echo form_error('context_var') ?>
        <span class="help-inline">
            	<?php echo question_tooltip('Save the new chain\'s identifier to context.'); ?>
        </span>
        </div>
    </div>

</fieldset>
